petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexComputeGradientFVM

Compute geometric factors for gradient reconstruction, which are stored in the geometry data, and compute layout for gradient data

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexComputeGradientFVM(DM dm, PetscFV fvm, Vec faceGeometry, Vec cellGeometry, DM *dmGrad)

Collective on DM Many br

### Input Arguments

| dm | - The DM Many br
| fvm | - The PetscFV Many br
| faceGeometry | - The face geometry from DMPlexGetFaceGeometryFVM() Many br
| cellGeometry | - The face geometry from DMPlexGetCellGeometryFVM() Many br

### Output Parameters

| faceGeometry | - The geometric factors for gradient calculation are inserted Many br
| dmGrad | - The DM describing the layout of gradient data Many br

Many br

### See Also

DMPlexGetFaceGeometryFVM(), DMPlexGetCellGeometryFVM()

Level:developer
Location:src/dm/impls/plex/plexgeometry.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages